#ifndef SPLASH_TREE_VIEW_H
#define SPLASH_TREE_VIEW_H

#include <glib-object.h>
#include <gtk/gtkimage.h>
#include <gtk/gtktreeview.h>

#define TYPE_SPLASH_TREE_VIEW            (splash_tree_view_get_type())
#define SPLASH_TREE_VIEW(obj)            (G_TYPE_CHECK_INSTANCE_CAST (obj, \
					  TYPE_SPLASH_TREE_VIEW, \
					  SplashTreeView))
#define SPLASH_TREE_VIEW_CLASS(class)    (G_TYPE_CHECK_CLASS_CAST (class, \
					  TYPE_SPLASH_TREE_VIEW, \
					  SplashTreeViewClass))
#define IS_SPLASH_TREE_VIEW(obj)         (G_TYPE_CHECK_INSTANCE_TYPE(obj, \
					  TYPE_SPLASH_TREE_VIEW))
#define IS_SPLASH_TREE_VIEW_CLASS(class) (G_TYPE_CHECK_CLASS_TYPE((class), \
					  TYPE_SPLASH_TREE_VIEW))
typedef struct _SplashTreeView      SplashTreeView;
typedef struct _SplashTreeViewClass SplashTreeViewClass;

struct _SplashTreeView {
	GtkTreeView parent;
};

struct _SplashTreeViewClass {
	GtkTreeViewClass parent_class;
};

void splash_tree_selection_changed (GtkTreeSelection *selection,	
				    GtkImage         *image);

GtkWidget *splash_tree_view_new (void);

#endif /* SPLASH_TREE_VIEW_H */
