#ifndef SPLASH_IMAGE_H
#define SPLASH_IMAGE_H

#include <glib-object.h>
#include <gtk/gtkimage.h>
#include <gtk/gtktreeview.h>

#define TYPE_SPLASH_IMAGE            (splash_image_get_type())
#define SPLASH_IMAGE(obj)            (G_TYPE_CHECK_INSTANCE_CAST (obj, \
				      TYPE_SPLASH_IMAGE, \
				      SplashImage))
#define SPLASH_IMAGE_CLASS(class)    (G_TYPE_CHECK_CLASS_CAST (class, \
				      TYPE_SPLASH_IMAGE, \
				      SplashImageClass))
#define IS_SPLASH_IMAGE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE(obj, \
				      TYPE_SPLASH_IMAGE))
#define IS_SPLASH_IMAGE_CLASS(class) (G_TYPE_CHECK_CLASS_TYPE((class), \
				      TYPE_SPLASH_IMAGE))
typedef struct _SplashImage      SplashImage;
typedef struct _SplashImageClass SplashImageClass;

struct _SplashImage {
	GtkImage parent;
};

struct _SplashImageClass {
	GtkImageClass parent_class;
};

GtkWidget *splash_image_new (GtkTreeView *treeview);

#endif /* SPLASH_IMAGE_H */
